package cn.sh.stc.sict.theme.hpgp.service;

import cn.sh.stc.sict.theme.hpgp.model.HpgpDepartmentRank;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 黄浦全科导诊——科室排名(HpgpDepartmentRank)表服务接口
 *
 * @author zhangly
 * @since 2022-01-14 09:56:47
 */
public interface HpgpDepartmentRankService extends IService<HpgpDepartmentRank> {

    void updateResource();

    HpgpDepartmentRank getByCode(String hospCode, String oneDeptCode, String deptCode);

    List<HpgpDepartmentRank> listHotDept();

    /**
     * 医院标准科室字典
     *
     * @param hospitalCode 医院编码
     * @return
     */
    List<Map<String, List<Map<String, String>>>> getStandardDeptDic(String hospitalCode);
}
